#ifndef _HAIR_H_
#define _HAIR_H_

//mandatory include
#include "Mesh.h"
//additional include's
//#include ..

class Model
{
private:
	Mesh* mesh;
	bool source; //source, i.e. first, mesh or target, i.e. last, mesh?
	int model, //which model is this, 1st, 2nd, 3rd, nth?
		theInput; //models from which data set?
	char* name;
	void loadObj(char* meshFile);
	void loadObj2(char* meshFile);
	void loadOff(char* meshFile);
	void loadPly(char* meshFile);
public:
	Model(char* nam, int modelNum, bool src) : name(name), model(modelNum), source(src) {};

	void init(int fileFormat);
	virtual Mesh* getMesh();
};

#endif
